Name:          autogen
Version:       5.18.2
Release:       1mamba
Summary:       Simplifies the creation and maintenance of programs
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.gnu.org/software/autogen
Source0:       http://ftp.gnu.org/gnu/autogen/rel%{version}/autogen-%{version}.tar.xz
#Source0:       http://downloads.sourceforge.net/autogen/autogen-%{version}.tar.gz
License:       GPL, BSD
BuildRequires: chrpath
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libguile-devel
BuildRequires: libltdl-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-EN
Requires(post):%{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
AutoGen is a tool designed to simplify the creation and maintenance of programs that contain large amounts of repetitious text. It is especially valuable in programs that have several blocks of text that must be kept synchronized.

%package      -n libopts
Summary:      Main library for %{name}
Group:        Development/Tools
Provides:     autogen-libopts
Obsoletes:    autogen-libopts

%description  -n libopts
AutoGen is a tool designed to simplify the creation and maintenance of programs that contain large amounts of repetitious text. It is especially valuable in programs that have several blocks of text that must be kept synchronized.

%package      -n libopts-devel
Summary:      Development headers and libraries for %{name}
Group:        Development/Tools
Requires:     %{name}-libopts = %{version}-%{release}
Provides:     autogen-libopts-devel
Obsoletes:    autogen-libopts-devel

%description -n libopts-devel
AutoGen is a tool designed to simplify the creation and maintenance of programs that contain large amounts of repetitious text. It is especially valuable in programs that have several blocks of text that must be kept synchronized.

%package     -n libopts-static
Group:        Development/Libraries
Summary:      Static libraries for %{name}
Requires:     %{name}-libopts-devel = %{version}-%{release}
Provides:     autogen-libopts-static
Obsoletes:    autogen-libopts-static

%description -n libopts-static
%{name} is part of the autogen build system

This package contains static libraries need for development.

%prep

%setup -q

%build
#export LDFLAGS="-lguile"
%configure

#parallel build randomly fails
#%{__make}
%make

%check
# make check
# 1 out of 20 tests fail

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL="%{__install} -p" DESTDIR=%{buildroot}
rm -f %{buildroot}%{_datadir}/autogen/autoopts.m4
rm -f %{buildroot}%{_datadir}/autogen/libopts-31.1.6.tar.gz

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info autogen.info-2
%install_info autogen.info-1
%install_info autogen.info

%preun
%uninstall_info autogen.info-2
%uninstall_info autogen.info-1
%uninstall_info autogen.info

%post -n libopts -p /sbin/ldconfig

%postun -n libopts -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/autogen
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/xml2ag
%dir %{_datadir}/autogen
%{_datadir}/autogen/*
%{_infodir}/autogen.info-*.gz
%{_infodir}/autogen.info.gz
%{_mandir}/man1/autogen.1.gz
%{_mandir}/man1/columns.1.gz
%{_mandir}/man1/getdefs.1.gz
%{_mandir}/man1/xml2ag.1.gz
%doc AUTHORS COPYING

%files -n libopts
%defattr(-,root,root)
%{_libdir}/libopts.so.*
%doc pkg/libopts/COPYING.*

%files -n libopts-devel
%defattr(-,root,root)
%{_bindir}/autoopts-config
%dir %{_includedir}/autoopts
%{_includedir}/autoopts/*.h
%{_libdir}/libopts.so
%{_mandir}/man1/autoopts-config.1.gz
%{_mandir}/man3/ao_string_tokenize.3.gz
%{_mandir}/man3/configFileLoad.3.gz
%{_mandir}/man3/option*.3.gz
%{_mandir}/man3/streq*.3.gz
%{_mandir}/man3/strneqvcmp.3.gz
%{_mandir}/man3/strtransform.3.gz
%{_datadir}/aclocal/*.m4
%{_datadir}/pkgconfig/autoopts.pc
%doc pkg/libopts/README
%doc ChangeLog NEWS README THANKS TODO

%files -n libopts-static
%defattr(-,root,root)
%{_libdir}/libopts.a
%{_libdir}/libopts.la

%changelog
* Sun Nov 17 2013 Automatic Build System <autodist@mambasoft.it> 5.18.2-1mamba
- automatic version update by autodist

* Wed Sep 18 2013 Automatic Build System <autodist@mambasoft.it> 5.18.1-1mamba
- automatic update by autodist

* Tue Aug 06 2013 Automatic Build System <autodist@mambasoft.it> 5.18-1mamba
- automatic update by autodist

* Fri May 31 2013 Automatic Build System <autodist@mambasoft.it> 5.17.4-1mamba
- automatic version update by autodist

* Thu Mar 14 2013 Automatic Build System <autodist@mambasoft.it> 5.17.2-1mamba
- automatic version update by autodist

* Fri Sep 21 2012 Automatic Build System <autodist@mambasoft.it> 5.16.2-1mamba
- update to 5.16.2

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic update by autodist

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 5.10-2mamba
- automatic rebuild by autodist

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 5.10-1mamba
- automatic update by autodist

* Mon Aug 10 2009 Automatic Build System <autodist@mambasoft.it> 5.9.9-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 5.9.8-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.7-1mamba
- automatic update by autodist

* Mon Dec 22 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.6-1mamba
- automatic update by autodist

* Sun Aug 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.5-2mamba
- rename library packages to libopts from autogen-libopts
- fixed text formatting

* Mon Aug 25 2008 gil <puntogil@libero.it> 5.9.5-1mamba
- package created by autospec
